Author Topic: Broken 1.1.0 upgrade, solved?  (Read 1796 times)

Offline slsdoug

  • Newbie
  • *
  • Posts: 4
Broken 1.1.0 upgrade, solved?
« on: February 16, 2015, 02:28:17 PM »
I had a few problems upgrading to 1.1.0. I have PHP 5.4. The first server does not have mbstring extension. This caused fatal duplicate function defs, mb_strlen, etc. They exist in bootstrap.php, around line 374, and mbstring.php. I had to put a conditional (if(!function_exists('mb_strlen'))) around the 5 functions (listed in bootstrap.php) in mbstring.php to eradicate the fatal dup error.
The other server I use has PHP 5.4 but does have mbstring extension but no mb_regex_encoding(). It crashed until I did this (around line 83 in bootstrap.php):
if (extension_loaded('mbstring')) {
    mb_internal_encoding(RCUBE_CHARSET);
    if(function_exists("mb_regex_encoding"))
       mb_regex_encoding(RCUBE_CHARSET);
}

Doug
Smartlab Software

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,260
Re: Broken 1.1.0 upgrade, solved?
« Reply #1 on: February 16, 2015, 02:44:22 PM »
Where does the file mbstring.php come from, I dont see it in Roundcube?
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline slsdoug

  • Newbie
  • *
  • Posts: 4
Re: Broken 1.1.0 upgrade, solved?
« Reply #2 on: February 16, 2015, 02:57:49 PM »
Sorry.
vendor/patchwork/utf8/class/Patchwork/Utf8/Bootup/mbstring.php

Doug

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,260
Re: Broken 1.1.0 upgrade, solved?
« Reply #3 on: February 16, 2015, 03:05:56 PM »
I see. you only need that if you dont have the mbstring extension, thats why I didnt see it.

It might be a bug I suggest you head over to http://trac.roundcube.net and make a ticket then the devs can check it out.
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and more…

Offline slsdoug

  • Newbie
  • *
  • Posts: 4
Re: Broken 1.1.0 upgrade, solved?
« Reply #4 on: February 19, 2015, 08:15:31 PM »
I created a ticket on this issue.